petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCPythonSetType

Initalize a PC object implemented in Python.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCPythonSetType(PC pc,const char pyname[])

Collective on PC Many br

### Input Parameter

| pc | - the preconditioner (PC) context. Many br
| pyname | - full dotted Python name [package].module[.{class|function}] Many br

### Options Database Key

-pc_python_type <pyname> - Many br Many br

### Keywords

PC, Python

### See Also

PCCreate(), PCSetType(), PCPYTHON, PetscPythonInitialize()

Level:intermediate
Location:src/ksp/pc/impls/python/pythonpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages